<?php

// Default settings
function doThemeSetup() {
	global $pagenow;
	if ( is_admin() && isset($_GET['activated'] ) && $pagenow == 'themes.php' ) {
		$defaults['style'] = 'default.css';
		$defaults['colors'][0] = '15527e';
		$defaults['bgcolors'][0] = 'eef0f4';
		$defaults['headerdate'] = 'g:i a - l, d F Y';
		$defaults['showhotnews'] = 1;
		$defaults['hotnewsnum'] = 5;
		$defaults['hotnewseffect'] = 'fade';
		$defaults['hotnewsinterval'] = 5000;
		$defaults['hotnewsfadein'] = 1000;
		$defaults['hotnewsfadeout'] = 200;
		$defaults['getweather'] = 1;
		$defaults['wtype'] = 'c';
		$defaults['wcode'] = 'USNY0996';
		$defaults['nav_sort'] = 'ID';
		$defaults['nav_order'] = 'ASC';
		$defaults['nav_hide_empty'] = 0;
		$defaults['drop1effect'] = 'fadeIn';
		$defaults['drop1speed'] = 400;
		$defaults['drop2effect'] = 'fadeIn';
		$defaults['drop2speed'] = 400;
		$defaults['searchform'] = 1;
		$defaults['socialmodule'] = 1;
		$defaults['homegetauth'] = 0;
		$defaults['latestn'] = 5;
		$defaults['featuredn'] = 5;
		$defaults['fs_event'] = 'mouseover';
		$defaults['fs_effect'] = 'fade';
		$defaults['fs_fadein'] = 1000;
		$defaults['fs_fadeout'] = 200;
		$defaults['fs_rotate'] = 'true';
		$defaults['fs_autoplay'] = 'true';
		$defaults['fs_interval'] = 5000;
		$defaults['popularnum'] = 7;
		$defaults['popularmode'] = 'views';
		$defaults['ratednum'] = 6;
		$defaults['recentc_num'] = 6;
		$defaults['recentc_container'] = 'ol';
		$defaults['recentc_size'] = 30;
		$defaults['recentc_template'] = '<li><div class="author-img">%AUTHOR_IMAGE%</div>%COMMENT% <a href="%COMMENT_URL%" title="Comment on: %POST_TITLE%">%COMMENT_AUTHOR%</a><div class="clear"></div></li>';
		$defaults['scrollablenum'] = 20;
		$defaults['catpostnum'] = 1;
		$defaults['catmorepostnum'] = 4;
		$defaults['bottomcatnum'] = 3;
		$defaults['scroll_rated'] = 1;
		$defaults['scroll_popular'] = 1;
		$defaults['num_per_page'] = 4;
		$defaults['num_per_more'] = 1;
		$defaults['archivead'] = 1;
		$defaults['archivead_loop'] = 4;
		$defaults['archivead_fixed'] = 4;
		$defaults['postgallery'] = 'attachment';
		$defaults['related'] = 1;
		$defaults['related_num'] = 6;
		$defaults['installed'] = 1;
		update_option('news', $defaults);
	}
}

// Run setup if theme was never installed
$news = get_option('news');
if ($news['installed']!= 1) {
	doThemeSetup();
}

?>